%define name lyx
%define version 2.2.2
%define release %mkrel 2 
Summary: A word processor for the Desktop Environment
Summary(de): Ein Schreibprogramm, welches LaTeX nutzt.
Name: %name
Version: %version
Release: %release
License: GPL
Group: Office
Source0: %{name}-%{version}.tar.xz
URL:	http://www.lyx.org/
#----------------------------------
BuildRequires: aspell-devel
BuildRequires: enchant-devel
BuildRequires: hunspell-devel
BuildRequires: qt4-devel
BuildRequires: libx11-devel
BuildRequires: ghostscript
BuildRequires: groff-for-man
BuildRequires: python
BuildRequires: ImageMagick
BuildRequires: libmagic-devel
#----------------------------------
Requires: texlive >= 20110705 
Requires: texlive-texmf >= 20110705
Requires: fonts-ttf-latex
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: %name < %version


%description
LyX is a modern approach of writing documents with a computer
which breaks with the tradition of the obsolete typewriter
concept.  It is designed for people who want a professional
output with a minimum of time effort, without becoming specia-
lists in typesetting.  Compared to common word processors LyX
will increase the productivity a lot, since most of the type-
setting will be done by the computer, not the author.  With LyX
the author can concentrate on the contents of his writing,
since the computer will take care of the look.

%description -l de
LyX ist ein modernes Konzept des Schreibens von Dokumente mit einem Computer. 
Es ist für Menschen die wenig Zeit haben und ohne Anstrengung ein 
professionelles Dokument erstellen wollen. Verglichen mit anderen 
Textverarbeitungsprogrammen wird LyX die Produktivität um einiges steigern.
Mit LyX kann der Autor sich auf den Inhalt seines Schreibens konzentrieren,
während sich der Computer um das Aussehen kümmert.

%prep
%setup -q

%build
export PATH=/usr/%{_lib}/qt4/bin:$PATH
%define common_opt --without-aiksaurus
mkdir qt-build
pushd qt-build
CONFIGURE_TOP=.. %configure2_5x --with-frontend=qt4 --disable-rpath %common_opt
%make
popd

%install
rm -rf %{buildroot}
pushd qt-build
%makeinstall_std
mv %buildroot/%_bindir/%name %buildroot/%name
popd
mv %buildroot/%name %buildroot/%_bindir/%name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/lyx.desktop << EOF
[Desktop Entry]
Name=LyX
Comment=TeX document processor - especially good at scientific documents
Comment[de]=TeX Dokumentprozessor - besonders gut für wissenschaftliches Schreiben
Exec=%{_bindir}/lyx
Icon=lyx
Terminal=false
Type=Application
Categories=Qt;KDE;Office;X-MandrivaLinux-Office-Wordprocessors
EOF

## icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 development/Win32/packaging/icons/lyx_32x32.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cp development/Win32/packaging/icons/lyx_32x32.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 development/Win32/packaging/icons/lyx_32x32.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

## Set up the lyx-specific class files where TeX can see then
TEXMF=%{_datadir}/texmf
mkdir -p $RPM_BUILD_ROOT${TEXMF}/tex/latex
cp -r $RPM_BUILD_ROOT%_datadir/lyx/tex $RPM_BUILD_ROOT${TEXMF}/tex/latex/lyx
chmod +x $RPM_BUILD_ROOT%_datadir/lyx/configure.py
rm -f $RPM_BUILD_ROOT%_bindir/listerrors

%find_lang %name
find $RPM_BUILD_ROOT%_datadir/%name -type f | sed -e "s@$RPM_BUILD_ROOT@@g" \
	-e "s@%_datadir/%name/doc/\(..\)_@%lang(\1) %_datadir/%name/doc/\1_@g" \
	-e "s@\(%_datadir/%name/configure.py\)\$@%attr(755,root,root) \1@g" \
	-e "s@\(%_datadir/%name/scripts/\)@%attr(755,root,root) \1@g" \
	-e "s@\(%_datadir/%name/lyx2lyx/\)@%attr(755,root,root) \1@g" \
	>> %name.lang
find $RPM_BUILD_ROOT%_datadir/%name -type d | sed -e "s@$RPM_BUILD_ROOT@%dir @g" >> %name.lang

#chrpath -d $RPM_BUILD_ROOT%_bindir/%name

%post
%update_menus
## Fix the TeX file hash
texhash
## Before configuring lyx for the local system 
## PATH needs to be imported
if [ -f /etc/profile ]; then
    . /etc/profile
fi
## Now configure LyX
cd %_datadir/lyx
./configure.py > /dev/null

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc INSTALL README ANNOUNCE NEWS INSTALL.autoconf
%doc UPGRADING COPYING 
%_bindir/%name
%_bindir/lyxclient
%_bindir/tex2lyx
%_mandir/man1/*
%_datadir/texmf/tex/latex/lyx
%_liconsdir/%name.png
%_iconsdir/%name.png
%_iconsdir/hicolor/*/apps/%name.*
%_miconsdir/%name.png
%_datadir/applications/lyx.desktop

%changelog
* Wed Dec 21 2016 adrianomorselli <adrianomorselli> 2.2.2-2uplos2016
- rebuild with old automake and libtool

* Sat Dec 17 2016 adrianomorselli <adrianomorselli> 2.2.2-1uplos2016
- rebuild

* Sat Dec 03 2016 ghostbunny <ghostbunny at gmx dot de> 2.2.2-1pclos2016
- 2.2.2
- add BR libmagic-devel

* Sat Aug 20 2016 ghostbunny <ghostbunny at gmx dot de> 2.2.1-1pclos2016
- 2.2.1

* Sat Aug 01 2015 ghostbunny <ghostbunny at gmx dot de> 2.1.4-1pclos2015
- 2.1.4

* Sat Jun 20 2015 ghostbunny <ghostbunny at gmx dot de> 2.1.3-2pclos2015
- rebuild against new hunspell version

* Thu Feb 12 2015 ghostbunny <ghostbunny at gmx dot de> 2.1.3-1pclos2015
- 2.1.3

* Tue Dec 09 2014 ghostbunny <ghostbunny at gmx dot de> 2.1.2.2-1pclos2014
- 2.1.2.2

* Tue Nov 04 2014 bb <bb> 2.1.2.1-1pclos2014
- update

* Mon Sep 29 2014 ghostbunny <ghostbunny at gmx dot de> 2.1.2-1pclos2014
- 2.1.2

* Wed Jul 16 2014 ghostbunny <ghostbunny at gmx dot de> 2.1.1-1pclos2014
- 2.1.1

